
export default defineAppConfig({
  pages: [
    'pages/index/index',
    'pages/member/index',
    "pages/mine/index",
    "pages/seckillIndex/index",
    "pages/productDetail/index",
    "pages/storeManagement/index",
    "pages/productManagement/index",
    "pages/productClassify/index",
    "pages/earningsDetail/index",
    "pages/earningsOrder/index",
    "pages/infoEdit/index",
    "pages/userSpecification/index",
    "pages/cashOut/index",
    "pages/cashOutRecord/index",
    "pages/statementRecords/index",
    "pages/Alipay/index"
  ],
  subpackages: [
    {
      "root": "pages/productSub",
      "pages": [
        "infoEdit/index"
      ],
      independent: true
    },
  ],
  navigateToMiniProgramAppIdList: [
    "ttf31985a46c214faf"
  ],
  window: {
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#FFFFFF',
    navigationBarTitleText: '鱼市',
    navigationBarTextStyle: 'black',
    backgroundColor: "#FFFFFF"
  },
  tabBar: {
    color: "#000000",
    selectedColor: "#000000",
    borderStyle: "black",
    backgroundColor: "#FFFFFF",
    list: [
      {
        pagePath: "pages/index/index",
        iconPath: "images/nav/home.png",
        selectedIconPath: "images/nav/home_active.png",
        text: "首页"
      },
      {
        pagePath: "pages/member/index",
        iconPath: "images/nav/vip.png",
        selectedIconPath: "images/nav/vip_active.png",
        text: "会员"

      },

      {
        pagePath: "pages/mine/index",
        iconPath: "images/nav/my.png",
        selectedIconPath: "images/nav/my_acitve.png",
        text: "我的"
      }
    ]
  },
})
